#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n;
    scanf ("%d",&n);
    float a[n],p[n],maksimum,zbir,pomoc1,pomoc2;
    for (int i=1; i<=n; i++){
        scanf("%f%f",&a[i],&p[i]);
    }
    /*Uredi niz po procentima*/
    for (int i=1; i<=n-1; i++){
        for (int j=i+1; j<=n; j++){
            if (p[i]<p[j]){
                pomoc1 = p[i];
                pomoc2 = a[i];
                a[i]=a[j];
                p[i]=p[j];
                a[j]=pomoc2;
                p[j]=pomoc1;
            }
        }
    }
    maksimum=0;
    zbir=0;
    for (int i=1; i<=n; i++){
        zbir += a[i];
        if (maksimum<(zbir*p[i]))
            maksimum = zbir*p[i];
    }
    maksimum = maksimum/100;
    printf("%f",maksimum);
    return 0;
}